Name:           muttprint
Version:        0.73
Release:        1%{?dist}
Summary:        Pretty printing of mails with Mutt

BuildArch:      noarch

License:        GPLv2+
URL:            http://muttprint.sourceforge.net/
Source0:        %{name}-%{version}.tar.gz
# The original pics have been removed in
# the tarball. Re-add them:
Source1:        %{name}-%{version}-origpics.tar.gz
# include flipped version of the BabyTuX image:
Source2:        %{name}-%{version}-morepics.tar.gz

Patch001:       muttprint-pics-Makefile.patch
Patch002:       muttprint-fix-de-manpage.patch
Patch003:       muttprint-fix-en-manpage.patch
Patch004:       muttprint-fix-es-manpage.patch
Patch005:       muttprint-fix-it-manpage.patch
Patch006:       muttprint-fix-doc-manual-build.patch
Patch007:       muttprint-fix-manual-en-sgml.patch
Patch008:       muttprint-fix-manual-it-sgml.patch
Patch009:       muttprint-COPYING.patch


BuildRequires:  automake
BuildRequires:  docbook-utils-pdf
BUildRequires:  recode

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       texlive-latex

%description
Muttprint is a utility that formats the printing of Mutt and other mail clients
like XFMail or PINE to be like the printing of Netscape Messenger or Kmail. It
can print a little penguin on the first page and a headline on every page.
Furthermore, it only prints the most important headers, but not the whole
plethora of them.

%package pics

Summary:        Images/Mascots of some operating systems for muttprint
Requires:       %{name} = %{version}-%{release}

%description pics
Muttprint is a utility that formats the printing of Mutt and other mail clients
like XFMail or PINE to be like the printing of Netscape Messenger or Kmail. It
can print a little penguin on the first page and a headline on every page.
Furthermore, it only prints the most important headers, but not the whole
plethora of them.

This package contains some images optionally used by muttprint.


%package doc

Group:          Documentation
Summary:        Muttprint Manual
Requires:       %{name} = %{version}-%{release}

%description doc
Muttprint is a utility that formats the printing of Mutt and other mail clients
like XFMail or PINE to be like the printing of Netscape Messenger or Kmail. It
can print a little penguin on the first page and a headline on every page.
Furthermore, it only prints the most important headers, but not the whole
plethora of them.

This package contains the muttprint manual in several formats and languages.


%prep
%setup -q
%setup -q -T -D -b 1
%setup -q -T -D -b 2

%patch001 -p1
%patch002 -p1
%patch003 -p1
%patch004 -p1
%patch005 -p1
%patch006 -p1
%patch007 -p1
%patch008 -p1
%patch009 -p1


%build
aclocal
automake --gnu --add-missing
autoconf
%configure

# note: build breaks with parallel make..
#make % {?_smp_mflags}
make

# we need UTF-8 content. recore before installing:

recode iso-8859-1..utf-8 sample-muttprintrc-de
recode iso-8859-1..utf-8 sample-muttprintrc-es
recode iso-8859-1..utf-8 sample-muttprintrc-fr
recode iso-8859-1..utf-8 sample-muttprintrc-it
recode iso-8859-1..utf-8 sample-muttprintrc-si

recode iso-8859-1..utf-8 CHANGES
recode iso-8859-1..utf-8 README.es
recode iso-8859-1..utf-8 README.Gnus
recode iso-8859-1..utf-8 README.Latex
recode iso-8859-1..utf-8 README.translations


%install
rm -rf $RPM_BUILD_ROOT
%make_install

# we don't want to package muttprint-langinfo:
rm -f $RPM_BUILD_ROOT%{_bindir}/muttprint-langinfo

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/examples
mv -f    $RPM_BUILD_ROOT%{_datadir}/doc/%{name}/sample* \
         $RPM_BUILD_ROOT%{_datadir}/%{name}/examples

rm -rf   $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-doc
mv -f    $RPM_BUILD_ROOT%{_datadir}/doc/%{name} \
         $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-doc
mkdir -p $RPM_BUILD_ROOT%{_datadir}/doc/%{name}


%files
%license COPYING
%doc AUTHORS CHANGES CREDITS
%doc README README.es README.Gnus README.Latex README.translations

%{_bindir}/muttprint

%{_mandir}/man1/muttprint.1.gz
%{_mandir}/de/man1/muttprint.1.gz
%{_mandir}/es/man1/muttprint.1.gz
%{_mandir}/it/man1/muttprint.1.gz

%dir %{_datadir}/%{name}

%dir %{_datadir}/%{name}/examples
%{_datadir}/%{name}/examples/sample-muttprintrc-de
%{_datadir}/%{name}/examples/sample-muttprintrc-en
%{_datadir}/%{name}/examples/sample-muttprintrc-es
%{_datadir}/%{name}/examples/sample-muttprintrc-fr
%{_datadir}/%{name}/examples/sample-muttprintrc-it
%{_datadir}/%{name}/examples/sample-muttprintrc-nl
%{_datadir}/%{name}/examples/sample-muttprintrc-si

%dir %{_datadir}/muttprint/translations
%{_datadir}/muttprint/translations/translation-cs.pl
%{_datadir}/muttprint/translations/translation-de.pl
%{_datadir}/muttprint/translations/translation-es.pl
%{_datadir}/muttprint/translations/translation-example.pl
%{_datadir}/muttprint/translations/translation-fi.pl
%{_datadir}/muttprint/translations/translation-fr.pl
%{_datadir}/muttprint/translations/translation-hu.pl
%{_datadir}/muttprint/translations/translation-it.pl
%{_datadir}/muttprint/translations/translation-nl.pl
%{_datadir}/muttprint/translations/translation-pl.pl
%{_datadir}/muttprint/translations/translation-pt.pl
%{_datadir}/muttprint/translations/translation-ru.pl
%{_datadir}/muttprint/translations/translation-sl.pl
%{_datadir}/muttprint/translations/translation-sv.pl


%files pics
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/README.pics
%{_datadir}/%{name}/BabyTuX.eps
%{_datadir}/%{name}/BabyTuX.png
%{_datadir}/%{name}/BabyTuX_flip.eps
%{_datadir}/%{name}/BabyTuX_flip.png
%{_datadir}/%{name}/BabyTuX_color.eps
%{_datadir}/%{name}/BabyTuX_color.png
%{_datadir}/%{name}/BabyTuX_color_flip.eps
%{_datadir}/%{name}/BabyTuX_color_flip.png
%{_datadir}/%{name}/penguin.eps
%{_datadir}/%{name}/penguin.jpg


%files doc
%dir %{_datadir}/doc/%{name}-doc
%doc %{_datadir}/doc/%{name}-doc/manual-de.dvi
%doc %{_datadir}/doc/%{name}-doc/manual-de.html
%doc %{_datadir}/doc/%{name}-doc/manual-de.pdf
%doc %{_datadir}/doc/%{name}-doc/manual-de.ps
%doc %{_datadir}/doc/%{name}-doc/manual-de.rtf
%doc %{_datadir}/doc/%{name}-doc/manual-en.dvi
%doc %{_datadir}/doc/%{name}-doc/manual-en.html
%doc %{_datadir}/doc/%{name}-doc/manual-en.pdf
%doc %{_datadir}/doc/%{name}-doc/manual-en.ps
%doc %{_datadir}/doc/%{name}-doc/manual-en.rtf
%doc %{_datadir}/doc/%{name}-doc/manual-es.dvi
%doc %{_datadir}/doc/%{name}-doc/manual-es.html
%doc %{_datadir}/doc/%{name}-doc/manual-es.pdf
%doc %{_datadir}/doc/%{name}-doc/manual-es.ps
%doc %{_datadir}/doc/%{name}-doc/manual-es.rtf
%doc %{_datadir}/doc/%{name}-doc/manual-it.dvi
%doc %{_datadir}/doc/%{name}-doc/manual-it.html
%doc %{_datadir}/doc/%{name}-doc/manual-it.pdf
%doc %{_datadir}/doc/%{name}-doc/manual-it.ps
%doc %{_datadir}/doc/%{name}-doc/manual-it.rtf
%doc %{_datadir}/doc/%{name}-doc/manual-sl.dvi
%doc %{_datadir}/doc/%{name}-doc/manual-sl.html
%doc %{_datadir}/doc/%{name}-doc/manual-sl.pdf
%doc %{_datadir}/doc/%{name}-doc/manual-sl.ps
%doc %{_datadir}/doc/%{name}-doc/manual-sl.rtf


%changelog
* Sun Jan 25 2015 Michael Adam <madam@redhat.com> - 0.73-1
- initial package
